# HG changeset patch
# Node ID 6c2e2a42913b
# Parent  472d8f2226bc
diff --git a/ibis/ibisconstants.h b/ibis/ibisconstants.h
--- a/ibis/ibisconstants.h
+++ b/ibis/ibisconstants.h
@@ -55,18 +55,297 @@
 #define IBIS_CTCP_VERSION "VERSION" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_ERR_ALREADYREGISTERED:
+ *
+ * A constant for the %ALREADYREGISTERED error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_ALREADYREGISTERED "462" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_BADCHANMASK:
+ *
+ * A constant for the %BADCHANMASK error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_BADCHANMASK "476" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_BADCHANNELKEY:
+ *
+ * A constant for the %BADCHANNELKEY error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_BADCHANNELKEY "475" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_BANNEDFROMCHAN:
+ *
+ * A constant for the %BANNEDFROMCHAN error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_BANNEDFROMCHAN "474" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_CANNOTSENDTOCHAN:
+ *
+ * A constant for the %CANNOTSENDTOCHAN error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_CANNOTSENDTOCHAN "404" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_CANTKILLSERVER:
+ *
+ * A constant for the %CANTKILLSERVER error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_CANTKILLSERVER "483" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_CHANNELISFULL:
+ *
+ * A constant for the %CHANNELISFULL error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_CHANNELISFULL "471" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_CHANOPRIVSNEEDED:
+ *
+ * A constant for the %CHANOPRIVSNEEDED error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_CHANOPRIVSNEEDED "482" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_ERRONEUSNICKNAME:
+ *
+ * A constant for the %ERRONEUSNICKNAME error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_ERRONEUSNICKNAME "432" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_HELPNOTFOUND:
+ *
+ * A constant for the %HELPNOTFOUND error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_HELPNOTFOUND "524" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_INPUTTOOLONG:
+ *
+ * A constant for the %INPUTTOOLONG error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_INPUTTOOLONG "417" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_INVALIDKEY:
+ *
+ * A constant for the %INVALIDKEY error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_INVALIDKEY "525" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_INVALIDMODEPARAM:
+ *
+ * A constant for the %INVALIDMODEPARAM error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_INVALIDMODEPARAM "696" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_INVITEONLYCHAN:
+ *
+ * A constant for the %INVITEONLYCHAN error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_INVITEONLYCHAN "473" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NEEDMOREPARAMS:
+ *
+ * A constant for the %NEEDMOREPARAMS error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NEEDMOREPARAMS "461" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NICKCOLLISION:
+ *
+ * A constant for the %NICKCOLLISION error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NICKCOLLISION "436" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_ERR_NICKLOCKED:
  *
- * A constant for the IRC %NICKLOCKED error.
+ * A constant for the %NICKLOCKED error.
  *
  * Since: 0.1
  */
 #define IBIS_ERR_NICKLOCKED "902" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_ERR_NICKNAMEINUSE:
+ *
+ * A constant for the %NICKNAMEINUSE error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NICKNAMEINUSE "433" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOMOTD:
+ *
+ * A constant for the %NOMOTD error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOMOTD "422" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NONICKNAMEGIVEN:
+ *
+ * A constant for the %NONICKNAMEGIVEN error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NONICKNAMEGIVEN "431" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOOPERHOST:
+ *
+ * A constant for the %NOOPERHOST error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOOPERHOST "491" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOORIGIN:
+ *
+ * A constant for the %NOORIGIN error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOORIGIN "409" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOPRIVILEGES:
+ *
+ * A constant for the %NOPRIVILEGES error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOPRIVILEGES "481" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOPRIVS:
+ *
+ * A constant for the %NOPRIVS error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOPRIVS "723" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NORECIPIENT:
+ *
+ * A constant for the %NORECIPIENT error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NORECIPIENT "411" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOSUCHCHANNEL:
+ *
+ * A constant for the %NOSUCHCHANNEL error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOSUCHCHANNEL "403" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOSUCHNICK:
+ *
+ * A constant for the %NOSUCKNICK error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOSUCHNICK "401" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOSUCHSERVER:
+ *
+ * A constant for the %NOSUCHSERVER error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOSUCHSERVER "402" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOTEXTTOSEND:
+ *
+ * A constant for the %NOTEXTTOSEND error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOTEXTTOSEND "412" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOTONCHANNEL:
+ *
+ * A constant for the %NOTONCHANNEL error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOTONCHANNEL "442" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_NOTREGISTERED:
+ *
+ * A constant for the %NOTREGISTERED error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_NOTREGISTERED "451" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_PASSWDMISMATCH:
+ *
+ * A constant for the %PASSWDMISMATCH error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_PASSWDMISMATCH "464" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_ERR_SASLABORTED:
  *
- * A constant for the IRC %SASLABORTED error.
+ * A constant for the %SASLABORTED error.
  *
  * Since: 0.1
  */
@@ -75,7 +354,7 @@
 /**
  * IBIS_ERR_SASLALREADY:
  *
- * A constant for the IRC %SASLALREADY error.
+ * A constant for the %SASLALREADY error.
  *
  * Since: 0.1
  */
@@ -84,7 +363,7 @@
 /**
  * IBIS_ERR_SASLFAIL:
  *
- * A constant for the IRC %SASLFAIL error.
+ * A constant for the %SASLFAIL error.
  *
  * Since: 0.1
  */
@@ -93,97 +372,808 @@
 /**
  * IBIS_ERR_SASLTOOLONG:
  *
- * A constant for the IRC %SASLTOOLONG error.
+ * A constant for the %SASLTOOLONG error.
  *
  * Since: 0.1
  */
 #define IBIS_ERR_SASLTOOLONG "905" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_ERR_STARTTLS:
+ *
+ * A constant for the %STARTTLS error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_STARTTLS "691" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_TOOMANYCHANNELS:
+ *
+ * A constant for the %TOOMANYCHANNELS error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_TOOMANYCHANNELS "405" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_UMODEUNKNOWNFLAG:
+ *
+ * A constant for the %UMODEUNKNOWNFLAG error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_UMODEUNKNOWNFLAG "501" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_UNKNOWNCOMMAND:
+ *
+ * A constant for the %UNKNOWNCOMMAND error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_UNKNOWNCOMMAND "421" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_UNKNOWNERROR:
+ *
+ * A constant for the %UNKNOWNERROR error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_UNKNOWNERROR "400" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_UNKNOWNMODE:
+ *
+ * A constant for the %UNKNOWNMODE error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_UNKNOWNMODE "472" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_USERNOTINCHANNEL:
+ *
+ * A constant for the %USERNOTINCHANNEL error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_USERNOTINCHANNEL "441" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_USERONCHANNEL:
+ *
+ * A constant for the %USERONCHANNEL error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_USERONCHANNEL "443" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_USERSDONTMATCH:
+ *
+ * A constant for the %USERSDONTMATCH error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_USERSDONTMATCH "502" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_WASNOSUCHNICK:
+ *
+ * A constant for the %WASNOSUCHNICK error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_WASNOSUCHNICK "406" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_ERR_YOUREBANNEDCREEP:
+ *
+ * A constant for the %YOUREBANNEDCREEP error.
+ *
+ * Since: 0.1
+ */
+#define IBIS_ERR_YOUREBANNEDCREEP "465" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_ADMIN:
+ *
+ * A constant for the %ADMIN message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_ADMIN "ADMIN" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_AUTHENTICATE:
  *
- * A constant for the IRC %AUTHENTICATE message.
+ * A constant for the %AUTHENTICATE message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_AUTHENTICATE "AUTHENTICATE" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_AWAY:
+ *
+ * A constant for the %AWAY message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_AWAY "AWAY" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_CAP:
  *
- * A constant for the IRC %CAP message.
+ * A constant for the %CAP message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_CAP "CAP" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_CONNECT:
+ *
+ * A constant for the %CONNECT message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_CONNECT "CONNECT" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_ERROR:
+ *
+ * A constant for the %ERROR message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_ERROR "ERROR" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_HELP:
+ *
+ * A constant for the %HELP message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_HELP "HELP" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_INFO:
+ *
+ * A constant for the %INFO message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_INFO "INFO" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_INVITE:
+ *
+ * A constant for the %INVITE message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_INVITE "INVITE" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_JOIN:
  *
- * A constant for the IRC %JOIN message.
+ * A constant for the %JOIN message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_JOIN "JOIN" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_KICK:
+ *
+ * A constant for the %KICK message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_KICK "KICK" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_KILL:
+ *
+ * A constant for the %KILL message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_KILL "KILL" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_LINKS:
+ *
+ * A constant for the %LINKS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_LINKS "LINKS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_LIST:
+ *
+ * A constant for the %LIST message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_LIST "LIST" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_LUSERS:
+ *
+ * A constant for the %LUSERS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_LUSERS "LUSERS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_MODE:
+ *
+ * A constant for the %MODE message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_MODE "MODE" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_MOTD:
+ *
+ * A constant for the %MOTD message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_MOTD "MOTD" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_NAMES:
+ *
+ * A constant for the %NAMES message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_NAMES "NAMES" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_NICK:
+ *
+ * A constant for the %NICK message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_NICK "NICK" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_NOTICE:
  *
- * A constant for the IRC %NOTICE message.
+ * A constant for the %NOTICE message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_NOTICE "NOTICE" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_OPER:
+ *
+ * A constant for the %OPER message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_OPER "OPER" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_PART:
+ *
+ * A constant for the %PART message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_PART "PART" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_PASS:
+ *
+ * A constant for the %PASS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_PASS "PASS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_PING:
  *
- * A constant for the IRC %PING message.
+ * A constant for the %PING message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_PING "PING" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_PONG:
+ *
+ * A constant for the %PONG message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_PONG "PONG" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_PRIVMSG:
  *
- * A constant for the IRC %PRIVMSG message.
+ * A constant for the %PRIVMSG message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_PRIVMSG "PRIVMSG" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_QUIT:
+ *
+ * A constant for the %QUIT message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_QUIT "QUIT" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_REHASH:
+ *
+ * A constant for the %REHASH message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_REHASH "REHASH" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_RESTART:
+ *
+ * A constant for the %RESTART message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_RESTART "RESTART" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_SQUIT:
+ *
+ * A constant for the %SQUIT message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_SQUIT "SQUIT" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_STATS:
+ *
+ * A constant for the %STATS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_STATS "STATS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_TIME:
+ *
+ * A constant for the %TIME message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_TIME "TIME" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_MSG_TOPIC:
  *
- * A constant for the IRC %TOPIC message.
+ * A constant for the %TOPIC message.
  *
  * Since: 0.1
  */
 #define IBIS_MSG_TOPIC "TOPIC" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_MSG_USER:
+ *
+ * A constant for the %USER message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_USER "USER" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_USERHOST:
+ *
+ * A constant for the %USERHOST message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_USERHOST "USERHOST" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_VERSION:
+ *
+ * A constant for the %VERSION message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_VERSION "VERSION" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_WALLOPS:
+ *
+ * A constant for the %WALLOPS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_WALLOPS "WALLOPS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_WHO:
+ *
+ * A constant for the %WHO message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_WHO "WHO" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_WHOIS:
+ *
+ * A constant for the %WHOIS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_WHOIS "WHOIS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_MSG_WHOWAS:
+ *
+ * A constant for the %WHOWAS message.
+ *
+ * Since: 0.1
+ */
+#define IBIS_MSG_WHOWAS "WHOWAS" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ADMINEMAIL:
+ *
+ * A constant for the %ADMINEMAIL reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ADMINEMAIL "259" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ADMINLOC1:
+ *
+ * A constant for the %ADMINLOC1 reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ADMINLOC1 "257" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ADMINLOC2:
+ *
+ * A constant for the %ADMINLOC2 reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ADMINLOC2 "258" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ADMINME:
+ *
+ * A constant for the %ADMINME reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ADMINME "256" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_AWAY:
+ *
+ * A constant for the %AWAY reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_AWAY "301" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_BANLIST:
+ *
+ * A constant for the %BANLIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_BANLIST "367" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_BOUNCE:
+ *
+ * A constant for the %BOUNCE reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_BOUNCE "010" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_CHANNELMODEIS:
+ *
+ * A constant for the %CHANNELMODEIS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_CHANNELMODEIS "324" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_CREATED:
  *
- * A constant for the IRC %CREATED reply.
+ * A constant for the %CREATED reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_CREATED "003" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_CREATIONTIME:
+ *
+ * A constant for the %CREATIONTIME reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_CREATIONTIME "329" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFBANLIST:
+ *
+ * A constant for the %ENDOFBANLIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFBANLIST "368" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFEXCEPTLIST:
+ *
+ * A constant for the %ENDOFEXCEPTLIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFEXCEPTLIST "349" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFHELP:
+ *
+ * A constant for the %ENDOFHELP reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFHELP "706" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFINFO:
+ *
+ * A constant for the %ENDOFINFO reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFINFO "374" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFINVEXLIST:
+ *
+ * A constant for the %ENDOFINVEXLIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFINVEXLIST "347" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFINVITELIST:
+ *
+ * A constant for the %ENDOFINVITELIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFINVITELIST "337" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFLINKS:
+ *
+ * A constant for the %ENDOFLINKS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFLINKS "365" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_ENDOFMOTD:
  *
- * A constant for the IRC %ENDOFMOTD reply.
+ * A constant for the %ENDOFMOTD reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_ENDOFMOTD "376" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_ENDOFNAMES:
+ *
+ * A constant for the %ENDOFNAMES reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFNAMES "366" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFSTATS:
+ *
+ * A constant for the %ENDOFSTATS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFSTATS "219" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFWHO:
+ *
+ * A constant for the %ENDOFWHO reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFWHO "315" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFWHOIS:
+ *
+ * A constant for the %ENDOFWHOIS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFWHOIS "318" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ENDOFWHOWAS:
+ *
+ * A constant for the %ENDOFWHOWAS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ENDOFWHOWAS "369" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_EXCEPTLIST:
+ *
+ * A constant for the %EXCEPTLIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_EXCEPTLIST "348" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_GLOBALUSERS:
+ *
+ * A constant for the %GLOBALUSERS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_GLOBALUSERS "266" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_HELPSTART:
+ *
+ * A constant for the %HELPSTART reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_HELPSTART "704" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_HELPTXT:
+ *
+ * A constant for the %HELPTXT reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_HELPTXT "705" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_INFO:
+ *
+ * A constant for the %INFO reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_INFO "371" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_INVEXLIST:
+ *
+ * A constant for the %INVEXLIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_INVEXLIST "346" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_INVITELIST:
+ *
+ * A constant for the %INVITELIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_INVITELIST "336" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_INVITING:
+ *
+ * A constant for the %INVITING reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_INVITING "341" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_ISUPPORT:
+ *
+ * A constant for the %ISUPPORT reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_ISUPPORT "005" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_LINKS:
+ *
+ * A constant for the %LINKS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_LINKS "364" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_LIST:
+ *
+ * A constant for the %LIST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_LIST "322" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_LISTEND:
+ *
+ * A constant for the %LISTEND reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_LISTEND "323" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_LISTSTART:
+ *
+ * A constant for the %LISTSTART reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_LISTSTART "321" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_LOCALUSERS:
+ *
+ * A constant for the %LOCALUSERS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_LOCALUSERS "265" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_LOGGEDIN:
  *
- * A constant for the IRC %LOGGEDIN reply.
+ * A constant for the %LOGGEDIN reply.
  *
  * Since: 0.1
  */
@@ -192,7 +1182,7 @@
 /**
  * IBIS_RPL_LOGGEDOUT:
  *
- * A constant for the IRC %LOGGEDOUT reply.
+ * A constant for the %LOGGEDOUT reply.
  *
  * Since: 0.1
  */
@@ -201,7 +1191,7 @@
 /**
  * IBIS_RPL_LUSERCHANNELS:
  *
- * A constant for the IRC %LUSERCHANNELS reply.
+ * A constant for the %LUSERCHANNELS reply.
  *
  * Since: 0.1
  */
@@ -210,7 +1200,7 @@
 /**
  * IBIS_RPL_LUSERCLIENT:
  *
- * A constant for the IRC %LUSERCLIENT reply.
+ * A constant for the %LUSERCLIENT reply.
  *
  * Since: 0.1
  */
@@ -219,7 +1209,7 @@
 /**
  * IBIS_RPL_LUSERME:
  *
- * A constant for the IRC %LUSERME reply.
+ * A constant for the %LUSERME reply.
  *
  * Since: 0.1
  */
@@ -228,7 +1218,7 @@
 /**
  * IBIS_RPL_LUSEROP:
  *
- * A constant for the IRC %LUSEROP reply.
+ * A constant for the %LUSEROP reply.
  *
  * Since: 0.1
  */
@@ -237,7 +1227,7 @@
 /**
  * IBIS_RPL_LUSERUNKNOWN:
  *
- * A constant for the IRC %LUSERUNKNOWN reply.
+ * A constant for the %LUSERUNKNOWN reply.
  *
  * Since: 0.1
  */
@@ -246,7 +1236,7 @@
 /**
  * IBIS_RPL_MYINFO:
  *
- * A constant for the IRC %MYINFO reply.
+ * A constant for the %MYINFO reply.
  *
  * Since: 0.1
  */
@@ -255,7 +1245,7 @@
 /**
  * IBIS_RPL_MOTD:
  *
- * A constant for the IRC %MOTD reply.
+ * A constant for the %MOTD reply.
  *
  * Since: 0.1
  */
@@ -264,25 +1254,61 @@
 /**
  * IBIS_RPL_MOTDSTART:
  *
- * A constant for the IRC %MOTDSTART reply.
+ * A constant for the %MOTDSTART reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_MOTDSTART "375" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_NAMEREPLY:
+ *
+ * A constant for the %NAMEREPLY reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_NAMEREPLY "353" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_NONE:
+ *
+ * A constant for the %NONE reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_NONE "300" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_NOTOPIC:
  *
- * A constant for the IRC %NOTOPIC reply.
+ * A constant for the %NOTOPIC reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_NOTOPIC "331" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_NOWAWAY:
+ *
+ * A constant for the %NOWAWAY reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_NOWAWAY "306" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_REHASHING:
+ *
+ * A constant for the %REHASHING reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_REHASHING "382" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_SASLMECHS:
  *
- * A constant for the IRC %SASLMECHS reply.
+ * A constant for the %SASLMECHS reply.
  *
  * Since: 0.1
  */
@@ -291,37 +1317,271 @@
 /**
  * IBIS_RPL_SASLSUCCESS:
  *
- * A constant for the IRC %SASLSUCCESS reply.
+ * A constant for the %SASLSUCCESS reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_SASLSUCCESS "903" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_STARTTLS:
+ *
+ * A constant for the %STARTTLS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_STARTTLS "670" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_STATSCOMMANDS:
+ *
+ * A constant for the %STATSCOMMANDS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_STATSCOMMANDS "212" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_STATSUPTIME:
+ *
+ * A constant for the %STATSUPTIME reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_STATSUPTIME "242" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_TIME:
+ *
+ * A constant for the %TIME reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_TIME "391" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_TOPIC:
  *
- * A constant for the IRC %TOPIC reply.
+ * A constant for the %TOPIC reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_TOPIC "332" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_TOPICWHOTIME:
+ *
+ * A constant for the %TOPICWHOTIME reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_TOPICWHOTIME "333" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_TRYAGAIN:
+ *
+ * A constant for the %TRYAGAIN reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_TRYAGAIN "263" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_UMODEIS:
+ *
+ * A constant for the %UMODEIS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_UMODEIS "221" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_UNAWAY:
+ *
+ * A constant for the %UNAWAY reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_UNAWAY "305" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_USERHOST:
+ *
+ * A constant for the %USERHOST reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_USERHOST "302" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_VERSION:
+ *
+ * A constant for the %VERSION reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_VERSION "351" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_WELCOME:
  *
- * A constant for the IRC %WELCOME reply.
+ * A constant for the %WELCOME reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_WELCOME "001" IBIS_AVAILABLE_MACRO_IN_0_1
 
 /**
+ * IBIS_RPL_WHOISACCOUNT:
+ *
+ * A constant for the %WHOISACCOUNT reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISACCOUNT "330" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISACTUALLY:
+ *
+ * A constant for the %WHOISACTUALLY reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISACTUALLY "338" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISCERTFP:
+ *
+ * A constant for the %WHOISCERTFP reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISCERTFP "276" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISCHANNELS:
+ *
+ * A constant for the %WHOISCHANNELS reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISCHANNELS "319" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISHOST:
+ *
+ * A constant for the %WHOISIDLE reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISHOST "378" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISIDLE:
+ *
+ * A constant for the %WHOISIDLE reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISIDLE "317" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISMODES:
+ *
+ * A constant for the %WHOISMODES reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISMODES "379" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISOPERATOR:
+ *
+ * A constant for the %WHOISOPERATOR reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISOPERATOR "313" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISREGNICK:
+ *
+ * A constant for the %WHOISREGNICK reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISREGNICK "307" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISSECURE:
+ *
+ * A constant for the %WHOISSECURE reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISSECURE "671" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISSERVER:
+ *
+ * A constant for the %WHOISSERVER reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISSERVER "312" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISSPECIAL:
+ *
+ * A constant for the %WHOISSPECIAL reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISSPECIAL "320" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOISUSER:
+ *
+ * A constant for the %WHOISUSER reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOISUSER "311" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOREPLY:
+ *
+ * A constant for the %WHOREPLY reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOREPLY "352" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
+ * IBIS_RPL_WHOWASUSER:
+ *
+ * A constant for the %WHOWASUSER reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_WHOWASUSER "314" IBIS_AVAILABLE_MACRO_IN_0_1
+
+/**
  * IBIS_RPL_YOURHOST:
  *
- * A constant for the IRC %YOURHOST reply.
+ * A constant for the %YOURHOST reply.
  *
  * Since: 0.1
  */
 #define IBIS_RPL_YOURHOST "002" IBIS_AVAILABLE_MACRO_IN_0_1
 
+/**
+ * IBIS_RPL_YOUREOPER:
+ *
+ * A constant for the %YOUREOPER reply.
+ *
+ * Since: 0.1
+ */
+#define IBIS_RPL_YOUREOPER "381" IBIS_AVAILABLE_MACRO_IN_0_1
+
 #endif /* IBIS_CONSTANTS_H */
